Bug 104511 - dhcpd brings down interface when it has IPv6 but not IPv4 address.
Summary: dhcpd brings down interface when it has IPv6 but not IPv4 address.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: dhcp   
(Show other bugs)
Version: beta1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-16 16:20 UTC by David Woodhouse
Modified: 2007-04-18 16:57 UTC (History)
0 users

Fixed In Version: dhclient-3.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-04 23:32:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:566 normal SHIPPED_LIVE Updated dhcp and dhclient packages 2005-05-26 04:00:00 UTC

Description David Woodhouse 2003-09-16 16:20:03 UTC
If dhcpcd fails to get a DHCP lease, it'll down the interface -- even if 
the interface has a valid IPv6 address. This is bad; the interface should be
left up and running.

Comment 1 Jason Vas Dias 2004-08-04 23:32:44 UTC
fixed in dhclient-3.0.1

Comment 2 John Flanagan 2004-12-21 19:42:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html



Note You need to log in before you can comment on or make changes to this bug.